# Re-export the CRUD functions
from app.crud.user import get as get_user
from app.crud.user import get_by_email
from app.crud.user import get_by_username
from app.crud.user import create as create_user
from app.crud.user import update as update_user
from app.crud.user import delete as delete_user

from app.crud.location import get as get_location
from app.crud.location import get_user_locations
from app.crud.location import get_user_default_location
from app.crud.location import create as create_location
from app.crud.location import update as update_location
from app.crud.location import delete as delete_location

__all__ = [
    "get_user", "get_by_email", "get_by_username", "create_user", "update_user", "delete_user",
    "get_location", "get_user_locations", "get_user_default_location", "create_location", 
    "update_location", "delete_location"
]