from fastapi import APIRouter

from app.api.v1.endpoints import weather, locations, users

api_router = APIRouter(prefix="/api/v1")

# Include routers for different endpoints
api_router.include_router(weather.router, prefix="/weather", tags=["Weather"])
api_router.include_router(locations.router, prefix="/locations", tags=["Locations"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])